/*
 * This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Switzerland License. To view a copy of this license, visit
 * http://creativecommons.org/licenses/by-nc-sa/2.5/ch/ or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
 */

package ch.njol.skript.variables;

import org.bukkit.World;

import ch.njol.skript.Skript;
import ch.njol.skript.variables.base.EventValueVariable;

/**
 * @author Peter Gttinger
 * 
 */
public class VarWorld extends EventValueVariable<World> {
	
	static {
		Skript.addVariable(VarWorld.class, World.class, "world");
	}
	
	public VarWorld() {
		super(World.class);
	}
	
	@Override
	public String toString() {
		return "the world";
	}
	
}
