/*
 * This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Switzerland License. To view a copy of this license, visit
 * http://creativecommons.org/licenses/by-nc-sa/2.5/ch/ or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
 */

package ch.njol.util;

import java.util.Iterator;

/**
 * @author Peter Gttinger
 * 
 */
public class IteratorIterable<T> implements Iterable<T> {
	
	private final Iterator<T> iter;
	
	public IteratorIterable(final Iterator<T> iter) {
		this.iter = iter;
	}
	
	@Override
	public Iterator<T> iterator() {
		return iter;
	}
	
}
