/*
 * This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Switzerland License. To view a copy of this license, visit
 * http://creativecommons.org/licenses/by-nc-sa/2.5/ch/ or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
 */

package ch.njol.skript.variables;

import org.bukkit.block.Block;

import ch.njol.skript.Skript;
import ch.njol.skript.data.DefaultChangers;
import ch.njol.skript.variables.base.EventValueVariable;

/**
 * 
 * @author Peter Gttinger
 * 
 */
public class VarBlock extends EventValueVariable<Block> {
	
	static {
		Skript.addVariable(VarBlock.class, Block.class, "block");
	}
	
	public VarBlock() {
		super(Block.class, DefaultChangers.blockChanger);
	}
	
}
